com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface RuleflowPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface RuleflowPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `RuleflowFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RuleflowPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIVITY_NODE` The meta object id for the '`Activity Node`' class
    `static int` | `ACTIVITY_NODE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `ACTIVITY_NODE__ENABLED` The feature id for the 'Enabled' attribute
    `static int` | `ACTIVITY_NODE__INVOKES` The feature id for the 'Invokes' reference
    `static int` | `ACTIVITY_NODE__ITERATIVE` The feature id for the 'Iterative' attribute
    `static int` | `ACTIVITY_NODE__NAME` The feature id for the 'Name' attribute
    `static int` | `ACTIVITY_NODE__NEXT_STEP` The feature id for the 'Next Step' reference
    `static int` | `ACTIVITY_NODE__ORDER` The feature id for the 'Order' attribute
    `static int` | `ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP` The feature id for the 'Rule Activity Update Stamp' attribute
    `static int` | `ACTIVITY_NODE_FEATURE_COUNT` The number of structural features of the 'Activity Node' class
    `static int` | `CONNECTOR` The meta object id for the '`Connector`' class
    `static int` | `CONNECTOR__CLASS_NAME` The feature id for the 'Class Name' attribute
    `static int` | `CONNECTOR__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `CONNECTOR__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `CONNECTOR__SERVICE_NAME` The feature id for the 'Service Name' attribute
    `static int` | `CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Connector' class
    `static int` | `DECISION` The meta object id for the '`Decision`' class
    `static int` | `DECISION__BOOLEAN_LABEL` The feature id for the 'Boolean Label' attribute
    `static int` | `DECISION__DEFAULT` The feature id for the 'Default' attribute
    `static int` | `DECISION__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `DECISION__LABEL` The feature id for the 'Label' containment reference list
    `static int` | `DECISION__LABEL_EXPRESSION` The feature id for the 'Label Expression' attribute
    `static int` | `DECISION__NEXT_STEP` The feature id for the 'Next Step' reference
    `static int` | `DECISION_FEATURE_COUNT` The number of structural features of the 'Decision' class
    `static int` | `DECISION_NODE` The meta object id for the '`Decision Node`' class
    `static int` | `DECISION_NODE__BOOLEAN_CONDITION` The feature id for the 'Boolean Condition' containment reference
    `static int` | `DECISION_NODE__CONDITION_SUB_EXPRESSION` The feature id for the 'Condition Sub Expression' attribute
    `static int` | `DECISION_NODE__DECISIONS` The feature id for the 'Decisions' reference list
    `static int` | `DECISION_NODE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `DECISION_NODE_FEATURE_COUNT` The number of structural features of the 'Decision Node' class
    `static RuleflowPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `FLOW` The meta object id for the '`Flow`' class
    `static int` | `FLOW__CONNECTOR_LIST` The feature id for the 'Connector List' containment reference list
    `static int` | `FLOW__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `FLOW__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `FLOW__FLOW_CONTROL_LIST` The feature id for the 'Flow Control List' containment reference list
    `static int` | `FLOW__NAME` The feature id for the 'Name' attribute
    `static int` | `FLOW__START` The feature id for the 'Start' reference
    `static int` | `FLOW__SUBFLOW_LIST` The feature id for the 'Subflow List' containment reference list
    `static int` | `FLOW_CONTROL` The meta object id for the '`Flow Control`' class
    `static int` | `FLOW_CONTROL__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `FLOW_CONTROL_FEATURE_COUNT` The number of structural features of the 'Flow Control' class
    `static int` | `FLOW_FEATURE_COUNT` The number of structural features of the 'Flow' class
    `static int` | `RULE_ACTIVITY` The meta object id for the '`Rule Activity`' class
    `static int` | `RULE_ACTIVITY__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `RULE_ACTIVITY__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `RULE_ACTIVITY_FEATURE_COUNT` The number of structural features of the 'Rule Activity' class
    `static int` | `RULEFLOW` The meta object id for the '`Ruleflow`' class
    `static int` | `RULEFLOW__CONNECTOR_LIST` The feature id for the 'Connector List' containment reference list
    `static int` | `RULEFLOW__DESCRIPTION` The feature id for the 'Description' attribute
    `static int` | `RULEFLOW__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `RULEFLOW__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `RULEFLOW__EFFECTIVE_DATE` The feature id for the 'Effective Date' attribute
    `static int` | `RULEFLOW__EXPIRATION_DATE` The feature id for the 'Expiration Date' attribute
    `static int` | `RULEFLOW__FLOW_CONTROL_LIST` The feature id for the 'Flow Control List' containment reference list
    `static int` | `RULEFLOW__MAJOR_VERSION` The feature id for the 'Major Version' attribute
    `static int` | `RULEFLOW__MINOR_VERSION` The feature id for the 'Minor Version' attribute
    `static int` | `RULEFLOW__NAME` The feature id for the 'Name' attribute
    `static int` | `RULEFLOW__START` The feature id for the 'Start' reference
    `static int` | `RULEFLOW__SUBFLOW_LIST` The feature id for the 'Subflow List' containment reference list
    `static int` | `RULEFLOW__VERSION_LABEL` The feature id for the 'Version Label' attribute
    `static int` | `RULEFLOW__VOCABULARY` The feature id for the 'Vocabulary' reference
    `static int` | `RULEFLOW__VOCABULARY_UPDATE_STAMP` The feature id for the 'Vocabulary Update Stamp' attribute
    `static int` | `RULEFLOW__WORK_DOCUMENT_ENTITY` The feature id for the 'Work Document Entity' reference
    `static int` | `RULEFLOW_FEATURE_COUNT` The number of structural features of the 'Ruleflow' class
    `static int` | `SUBFLOW` The meta object id for the '`Subflow`' class
    `static int` | `SUBFLOW__CONNECTOR_LIST` The feature id for the 'Connector List' containment reference list
    `static int` | `SUBFLOW__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `SUBFLOW__DOMAIN` The feature id for the 'Domain' attribute
    `static int` | `SUBFLOW__FLOW_CONTROL_LIST` The feature id for the 'Flow Control List' containment reference list
    `static int` | `SUBFLOW__NAME` The feature id for the 'Name' attribute
    `static int` | `SUBFLOW__START` The feature id for the 'Start' reference
    `static int` | `SUBFLOW__SUBFLOW_LIST` The feature id for the 'Subflow List' containment reference list
    `static int` | `SUBFLOW_FEATURE_COUNT` The number of structural features of the 'Subflow' class
    `static int` | `TERMINATE_NODE` The meta object id for the '`Terminate Node`' class
    `static int` | `TERMINATE_NODE__DOCUMENTING_RULE_STATEMENTS` The feature id for the 'Documenting Rule Statements' reference list
    `static int` | `TERMINATE_NODE_FEATURE_COUNT` The number of structural features of the 'Terminate Node' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getActivityNode_Enabled()` Returns the meta object for the attribute '`Enabled`'
    `org.eclipse.emf.ecore.EReference` | `getActivityNode_Invokes()` Returns the meta object for the reference '`Invokes`'
    `org.eclipse.emf.ecore.EAttribute` | `getActivityNode_Iterative()` Returns the meta object for the attribute '`Iterative`'
    `org.eclipse.emf.ecore.EAttribute` | `getActivityNode_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getActivityNode_NextStep()` Returns the meta object for the reference '`Next Step`'
    `org.eclipse.emf.ecore.EAttribute` | `getActivityNode_Order()` Returns the meta object for the attribute '`Order`'
    `org.eclipse.emf.ecore.EAttribute` | `getActivityNode_RuleActivityUpdateStamp()` Returns the meta object for the attribute '`Rule Activity Update Stamp`'
    `org.eclipse.emf.ecore.EClass` | `getActivityNode()` Returns the meta object for class '`Activity Node`'
    `org.eclipse.emf.ecore.EAttribute` | `getConnector_ClassName()` Returns the meta object for the attribute '`Class Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getConnector_ServiceName()` Returns the meta object for the attribute '`Service Name`'
    `org.eclipse.emf.ecore.EClass` | `getConnector()` Returns the meta object for class '`Connector`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecision_BooleanLabel()` Returns the meta object for the attribute '`Boolean Label`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecision_Default()` Returns the meta object for the attribute '`Default`'
    `org.eclipse.emf.ecore.EReference` | `getDecision_Label()` Returns the meta object for the containment reference list '`Label`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecision_LabelExpression()` Returns the meta object for the attribute '`Label Expression`'
    `org.eclipse.emf.ecore.EReference` | `getDecision_NextStep()` Returns the meta object for the reference '`Next Step`'
    `org.eclipse.emf.ecore.EClass` | `getDecision()` Returns the meta object for class '`Decision`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionNode_BooleanCondition()` Returns the meta object for the containment reference '`Boolean Condition`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionNode_ConditionSubExpression()` Returns the meta object for the attribute '`Condition Sub Expression`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionNode_Decisions()` Returns the meta object for the reference list '`Decisions`'
    `org.eclipse.emf.ecore.EClass` | `getDecisionNode()` Returns the meta object for class '`Decision Node`'
    `org.eclipse.emf.ecore.EReference` | `getFlow_ConnectorList()` Returns the meta object for the containment reference list '`Connector List`'
    `org.eclipse.emf.ecore.EReference` | `getFlow_FlowControlList()` Returns the meta object for the containment reference list '`Flow Control List`'
    `org.eclipse.emf.ecore.EAttribute` | `getFlow_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getFlow_Start()` Returns the meta object for the reference '`Start`'
    `org.eclipse.emf.ecore.EReference` | `getFlow_SubflowList()` Returns the meta object for the containment reference list '`Subflow List`'
    `org.eclipse.emf.ecore.EClass` | `getFlow()` Returns the meta object for class '`Flow`'
    `org.eclipse.emf.ecore.EClass` | `getFlowControl()` Returns the meta object for class '`Flow Control`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleActivity_Domain()` Returns the meta object for the attribute '`Domain`'
    `org.eclipse.emf.ecore.EClass` | `getRuleActivity()` Returns the meta object for class '`Rule Activity`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_Description()` Returns the meta object for the attribute '`Description`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_EffectiveDate()` Returns the meta object for the attribute '`Effective Date`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_ExpirationDate()` Returns the meta object for the attribute '`Expiration Date`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_MajorVersion()` Returns the meta object for the attribute '`Major Version`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_MinorVersion()` Returns the meta object for the attribute '`Minor Version`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_VersionLabel()` Returns the meta object for the attribute '`Version Label`'
    `org.eclipse.emf.ecore.EReference` | `getRuleflow_Vocabulary()` Returns the meta object for the reference '`Vocabulary`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleflow_VocabularyUpdateStamp()` Returns the meta object for the attribute '`Vocabulary Update Stamp`'
    `org.eclipse.emf.ecore.EReference` | `getRuleflow_WorkDocumentEntity()` Returns the meta object for the reference '`Work Document Entity`'
    `org.eclipse.emf.ecore.EClass` | `getRuleflow()` Returns the meta object for class '`Ruleflow`'
    `RuleflowFactory` | `getRuleflowFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EClass` | `getSubflow()` Returns the meta object for class '`Subflow`'
    `org.eclipse.emf.ecore.EClass` | `getTerminateNode()` Returns the meta object for class '`Terminate Node`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final RuleflowPackage eINSTANCE

      The singleton instance of the package.

    - #### FLOW_CONTROL

          static final int FLOW_CONTROL

      The meta object id for the '`Flow Control`' class.
      See Also:
        `FlowControlImpl`, `RuleflowPackageImpl.getFlowControl()`, Constant Field Values

    - #### FLOW_CONTROL__DOCUMENTING_RULE_STATEMENTS

          static final int FLOW_CONTROL__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### FLOW_CONTROL_FEATURE_COUNT

          static final int FLOW_CONTROL_FEATURE_COUNT

      The number of structural features of the 'Flow Control' class.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE

          static final int ACTIVITY_NODE

      The meta object id for the '`Activity Node`' class.
      See Also:
        `ActivityNodeImpl`, `RuleflowPackageImpl.getActivityNode()`, Constant Field Values

    - #### ACTIVITY_NODE__DOCUMENTING_RULE_STATEMENTS

          static final int ACTIVITY_NODE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__ENABLED

          static final int ACTIVITY_NODE__ENABLED

      The feature id for the 'Enabled' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__NAME

          static final int ACTIVITY_NODE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__ITERATIVE

          static final int ACTIVITY_NODE__ITERATIVE

      The feature id for the 'Iterative' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__ORDER

          static final int ACTIVITY_NODE__ORDER

      The feature id for the 'Order' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP

          static final int ACTIVITY_NODE__RULE_ACTIVITY_UPDATE_STAMP

      The feature id for the 'Rule Activity Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__NEXT_STEP

          static final int ACTIVITY_NODE__NEXT_STEP

      The feature id for the 'Next Step' reference.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE__INVOKES

          static final int ACTIVITY_NODE__INVOKES

      The feature id for the 'Invokes' reference.
      See Also:
        Constant Field Values

    - #### ACTIVITY_NODE_FEATURE_COUNT

          static final int ACTIVITY_NODE_FEATURE_COUNT

      The number of structural features of the 'Activity Node' class.
      See Also:
        Constant Field Values

    - #### DECISION

          static final int DECISION

      The meta object id for the '`Decision`' class.
      See Also:
        `DecisionImpl`, `RuleflowPackageImpl.getDecision()`, Constant Field Values

    - #### DECISION__DOCUMENTING_RULE_STATEMENTS

          static final int DECISION__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### DECISION__LABEL_EXPRESSION

          static final int DECISION__LABEL_EXPRESSION

      The feature id for the 'Label Expression' attribute.
      See Also:
        Constant Field Values

    - #### DECISION__BOOLEAN_LABEL

          static final int DECISION__BOOLEAN_LABEL

      The feature id for the 'Boolean Label' attribute.
      See Also:
        Constant Field Values

    - #### DECISION__DEFAULT

          static final int DECISION__DEFAULT

      The feature id for the 'Default' attribute.
      See Also:
        Constant Field Values

    - #### DECISION__NEXT_STEP

          static final int DECISION__NEXT_STEP

      The feature id for the 'Next Step' reference.
      See Also:
        Constant Field Values

    - #### DECISION__LABEL

          static final int DECISION__LABEL

      The feature id for the 'Label' containment reference list.
      See Also:
        Constant Field Values

    - #### DECISION_FEATURE_COUNT

          static final int DECISION_FEATURE_COUNT

      The number of structural features of the 'Decision' class.
      See Also:
        Constant Field Values

    - #### DECISION_NODE

          static final int DECISION_NODE

      The meta object id for the '`Decision Node`' class.
      See Also:
        `DecisionNodeImpl`, `RuleflowPackageImpl.getDecisionNode()`, Constant Field Values

    - #### DECISION_NODE__DOCUMENTING_RULE_STATEMENTS

          static final int DECISION_NODE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### DECISION_NODE__CONDITION_SUB_EXPRESSION

          static final int DECISION_NODE__CONDITION_SUB_EXPRESSION

      The feature id for the 'Condition Sub Expression' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_NODE__BOOLEAN_CONDITION

          static final int DECISION_NODE__BOOLEAN_CONDITION

      The feature id for the 'Boolean Condition' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_NODE__DECISIONS

          static final int DECISION_NODE__DECISIONS

      The feature id for the 'Decisions' reference list.
      See Also:
        Constant Field Values

    - #### DECISION_NODE_FEATURE_COUNT

          static final int DECISION_NODE_FEATURE_COUNT

      The number of structural features of the 'Decision Node' class.
      See Also:
        Constant Field Values

    - #### RULE_ACTIVITY

          static final int RULE_ACTIVITY

      The meta object id for the '`Rule Activity`' class.
      See Also:
        `RuleActivityImpl`, `RuleflowPackageImpl.getRuleActivity()`, Constant Field Values

    - #### RULE_ACTIVITY__DOCUMENTING_RULE_STATEMENTS

          static final int RULE_ACTIVITY__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### RULE_ACTIVITY__DOMAIN

          static final int RULE_ACTIVITY__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### RULE_ACTIVITY_FEATURE_COUNT

          static final int RULE_ACTIVITY_FEATURE_COUNT

      The number of structural features of the 'Rule Activity' class.
      See Also:
        Constant Field Values

    - #### FLOW

          static final int FLOW

      The meta object id for the '`Flow`' class.
      See Also:
        `FlowImpl`, `RuleflowPackageImpl.getFlow()`, Constant Field Values

    - #### FLOW__DOCUMENTING_RULE_STATEMENTS

          static final int FLOW__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### FLOW__DOMAIN

          static final int FLOW__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### FLOW__NAME

          static final int FLOW__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### FLOW__START

          static final int FLOW__START

      The feature id for the 'Start' reference.
      See Also:
        Constant Field Values

    - #### FLOW__FLOW_CONTROL_LIST

          static final int FLOW__FLOW_CONTROL_LIST

      The feature id for the 'Flow Control List' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW__SUBFLOW_LIST

          static final int FLOW__SUBFLOW_LIST

      The feature id for the 'Subflow List' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW__CONNECTOR_LIST

          static final int FLOW__CONNECTOR_LIST

      The feature id for the 'Connector List' containment reference list.
      See Also:
        Constant Field Values

    - #### FLOW_FEATURE_COUNT

          static final int FLOW_FEATURE_COUNT

      The number of structural features of the 'Flow' class.
      See Also:
        Constant Field Values

    - #### RULEFLOW

          static final int RULEFLOW

      The meta object id for the '`Ruleflow`' class.
      See Also:
        `RuleflowImpl`, `RuleflowPackageImpl.getRuleflow()`, Constant Field Values

    - #### RULEFLOW__DOCUMENTING_RULE_STATEMENTS

          static final int RULEFLOW__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW__DOMAIN

          static final int RULEFLOW__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__NAME

          static final int RULEFLOW__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__START

          static final int RULEFLOW__START

      The feature id for the 'Start' reference.
      See Also:
        Constant Field Values

    - #### RULEFLOW__FLOW_CONTROL_LIST

          static final int RULEFLOW__FLOW_CONTROL_LIST

      The feature id for the 'Flow Control List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW__SUBFLOW_LIST

          static final int RULEFLOW__SUBFLOW_LIST

      The feature id for the 'Subflow List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW__CONNECTOR_LIST

          static final int RULEFLOW__CONNECTOR_LIST

      The feature id for the 'Connector List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW__VERSION_LABEL

          static final int RULEFLOW__VERSION_LABEL

      The feature id for the 'Version Label' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__EFFECTIVE_DATE

          static final int RULEFLOW__EFFECTIVE_DATE

      The feature id for the 'Effective Date' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__EXPIRATION_DATE

          static final int RULEFLOW__EXPIRATION_DATE

      The feature id for the 'Expiration Date' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__DESCRIPTION

          static final int RULEFLOW__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__MAJOR_VERSION

          static final int RULEFLOW__MAJOR_VERSION

      The feature id for the 'Major Version' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__MINOR_VERSION

          static final int RULEFLOW__MINOR_VERSION

      The feature id for the 'Minor Version' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__VOCABULARY_UPDATE_STAMP

          static final int RULEFLOW__VOCABULARY_UPDATE_STAMP

      The feature id for the 'Vocabulary Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW__VOCABULARY

          static final int RULEFLOW__VOCABULARY

      The feature id for the 'Vocabulary' reference.
      See Also:
        Constant Field Values

    - #### RULEFLOW__WORK_DOCUMENT_ENTITY

          static final int RULEFLOW__WORK_DOCUMENT_ENTITY

      The feature id for the 'Work Document Entity' reference.
      See Also:
        Constant Field Values

    - #### RULEFLOW_FEATURE_COUNT

          static final int RULEFLOW_FEATURE_COUNT

      The number of structural features of the 'Ruleflow' class.
      See Also:
        Constant Field Values

    - #### TERMINATE_NODE

          static final int TERMINATE_NODE

      The meta object id for the '`Terminate Node`' class.
      See Also:
        `TerminateNodeImpl`, `RuleflowPackageImpl.getTerminateNode()`, Constant Field Values

    - #### TERMINATE_NODE__DOCUMENTING_RULE_STATEMENTS

          static final int TERMINATE_NODE__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### TERMINATE_NODE_FEATURE_COUNT

          static final int TERMINATE_NODE_FEATURE_COUNT

      The number of structural features of the 'Terminate Node' class.
      See Also:
        Constant Field Values

    - #### SUBFLOW

          static final int SUBFLOW

      The meta object id for the '`Subflow`' class.
      See Also:
        `SubflowImpl`, `RuleflowPackageImpl.getSubflow()`, Constant Field Values

    - #### SUBFLOW__DOCUMENTING_RULE_STATEMENTS

          static final int SUBFLOW__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### SUBFLOW__DOMAIN

          static final int SUBFLOW__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### SUBFLOW__NAME

          static final int SUBFLOW__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SUBFLOW__START

          static final int SUBFLOW__START

      The feature id for the 'Start' reference.
      See Also:
        Constant Field Values

    - #### SUBFLOW__FLOW_CONTROL_LIST

          static final int SUBFLOW__FLOW_CONTROL_LIST

      The feature id for the 'Flow Control List' containment reference list.
      See Also:
        Constant Field Values

    - #### SUBFLOW__SUBFLOW_LIST

          static final int SUBFLOW__SUBFLOW_LIST

      The feature id for the 'Subflow List' containment reference list.
      See Also:
        Constant Field Values

    - #### SUBFLOW__CONNECTOR_LIST

          static final int SUBFLOW__CONNECTOR_LIST

      The feature id for the 'Connector List' containment reference list.
      See Also:
        Constant Field Values

    - #### SUBFLOW_FEATURE_COUNT

          static final int SUBFLOW_FEATURE_COUNT

      The number of structural features of the 'Subflow' class.
      See Also:
        Constant Field Values

    - #### CONNECTOR

          static final int CONNECTOR

      The meta object id for the '`Connector`' class.
      See Also:
        `ConnectorImpl`, `RuleflowPackageImpl.getConnector()`, Constant Field Values

    - #### CONNECTOR__DOCUMENTING_RULE_STATEMENTS

          static final int CONNECTOR__DOCUMENTING_RULE_STATEMENTS

      The feature id for the 'Documenting Rule Statements' reference list.
      See Also:
        Constant Field Values

    - #### CONNECTOR__DOMAIN

          static final int CONNECTOR__DOMAIN

      The feature id for the 'Domain' attribute.
      See Also:
        Constant Field Values

    - #### CONNECTOR__CLASS_NAME

          static final int CONNECTOR__CLASS_NAME

      The feature id for the 'Class Name' attribute.
      See Also:
        Constant Field Values

    - #### CONNECTOR__SERVICE_NAME

          static final int CONNECTOR__SERVICE_NAME

      The feature id for the 'Service Name' attribute.
      See Also:
        Constant Field Values

    - #### CONNECTOR_FEATURE_COUNT

          static final int CONNECTOR_FEATURE_COUNT

      The number of structural features of the 'Connector' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getActivityNode

          org.eclipse.emf.ecore.EClass getActivityNode()

      Returns the meta object for class '`Activity Node`'.
      Returns:
        the meta object for class 'Activity Node'.
      See Also:
        `ActivityNode`

    - #### getActivityNode_Enabled

          org.eclipse.emf.ecore.EAttribute getActivityNode_Enabled()

      Returns the meta object for the attribute '`Enabled`'.
      Returns:
        the meta object for the attribute 'Enabled'.
      See Also:
        `ActivityNode.isEnabled()`, `getActivityNode()`

    - #### getActivityNode_Name

          org.eclipse.emf.ecore.EAttribute getActivityNode_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `ActivityNode.getName()`, `getActivityNode()`

    - #### getActivityNode_Iterative

          org.eclipse.emf.ecore.EAttribute getActivityNode_Iterative()

      Returns the meta object for the attribute '`Iterative`'.
      Returns:
        the meta object for the attribute 'Iterative'.
      See Also:
        `ActivityNode.isIterative()`, `getActivityNode()`

    - #### getActivityNode_Order

          org.eclipse.emf.ecore.EAttribute getActivityNode_Order()

      Returns the meta object for the attribute '`Order`'.
      Returns:
        the meta object for the attribute 'Order'.
      See Also:
        `ActivityNode.getOrder()`, `getActivityNode()`

    - #### getActivityNode_RuleActivityUpdateStamp

          org.eclipse.emf.ecore.EAttribute getActivityNode_RuleActivityUpdateStamp()

      Returns the meta object for the attribute '`Rule Activity Update Stamp`'.
      Returns:
        the meta object for the attribute 'Rule Activity Update Stamp'.
      See Also:
        `ActivityNode.getRuleActivityUpdateStamp()`, `getActivityNode()`

    - #### getActivityNode_NextStep

          org.eclipse.emf.ecore.EReference getActivityNode_NextStep()

      Returns the meta object for the reference '`Next Step`'.
      Returns:
        the meta object for the reference 'Next Step'.
      See Also:
        `ActivityNode.getNextStep()`, `getActivityNode()`

    - #### getActivityNode_Invokes

          org.eclipse.emf.ecore.EReference getActivityNode_Invokes()

      Returns the meta object for the reference '`Invokes`'.
      Returns:
        the meta object for the reference 'Invokes'.
      See Also:
        `ActivityNode.getInvokes()`, `getActivityNode()`

    - #### getDecision

          org.eclipse.emf.ecore.EClass getDecision()

      Returns the meta object for class '`Decision`'.
      Returns:
        the meta object for class 'Decision'.
      See Also:
        `Decision`

    - #### getDecision_LabelExpression

          org.eclipse.emf.ecore.EAttribute getDecision_LabelExpression()

      Returns the meta object for the attribute '`Label Expression`'.
      Returns:
        the meta object for the attribute 'Label Expression'.
      See Also:
        `Decision.getLabelExpression()`, `getDecision()`

    - #### getDecision_BooleanLabel

          org.eclipse.emf.ecore.EAttribute getDecision_BooleanLabel()

      Returns the meta object for the attribute '`Boolean Label`'.
      Returns:
        the meta object for the attribute 'Boolean Label'.
      See Also:
        `Decision.isBooleanLabel()`, `getDecision()`

    - #### getDecision_Default

          org.eclipse.emf.ecore.EAttribute getDecision_Default()

      Returns the meta object for the attribute '`Default`'.
      Returns:
        the meta object for the attribute 'Default'.
      See Also:
        `Decision.isDefault()`, `getDecision()`

    - #### getDecision_NextStep

          org.eclipse.emf.ecore.EReference getDecision_NextStep()

      Returns the meta object for the reference '`Next Step`'.
      Returns:
        the meta object for the reference 'Next Step'.
      See Also:
        `Decision.getNextStep()`, `getDecision()`

    - #### getDecision_Label

          org.eclipse.emf.ecore.EReference getDecision_Label()

      Returns the meta object for the containment reference list '`Label`'.
      Returns:
        the meta object for the containment reference list 'Label'.
      See Also:
        `Decision.getLabel()`, `getDecision()`

    - #### getDecisionNode

          org.eclipse.emf.ecore.EClass getDecisionNode()

      Returns the meta object for class '`Decision Node`'.
      Returns:
        the meta object for class 'Decision Node'.
      See Also:
        `DecisionNode`

    - #### getDecisionNode_ConditionSubExpression

          org.eclipse.emf.ecore.EAttribute getDecisionNode_ConditionSubExpression()

      Returns the meta object for the attribute '`Condition Sub Expression`'.
      Returns:
        the meta object for the attribute 'Condition Sub Expression'.
      See Also:
        `DecisionNode.getConditionSubExpression()`, `getDecisionNode()`

    - #### getDecisionNode_BooleanCondition

          org.eclipse.emf.ecore.EReference getDecisionNode_BooleanCondition()

      Returns the meta object for the containment reference '`Boolean Condition`'.
      Returns:
        the meta object for the containment reference 'Boolean Condition'.
      See Also:
        `DecisionNode.getBooleanCondition()`, `getDecisionNode()`

    - #### getDecisionNode_Decisions

          org.eclipse.emf.ecore.EReference getDecisionNode_Decisions()

      Returns the meta object for the reference list '`Decisions`'.
      Returns:
        the meta object for the reference list 'Decisions'.
      See Also:
        `DecisionNode.getDecisions()`, `getDecisionNode()`

    - #### getFlowControl

          org.eclipse.emf.ecore.EClass getFlowControl()

      Returns the meta object for class '`Flow Control`'.
      Returns:
        the meta object for class 'Flow Control'.
      See Also:
        `FlowControl`

    - #### getRuleActivity

          org.eclipse.emf.ecore.EClass getRuleActivity()

      Returns the meta object for class '`Rule Activity`'.
      Returns:
        the meta object for class 'Rule Activity'.
      See Also:
        `RuleActivity`

    - #### getRuleActivity_Domain

          org.eclipse.emf.ecore.EAttribute getRuleActivity_Domain()

      Returns the meta object for the attribute '`Domain`'.
      Returns:
        the meta object for the attribute 'Domain'.
      See Also:
        `RuleActivity.getDomain()`, `getRuleActivity()`

    - #### getRuleflow

          org.eclipse.emf.ecore.EClass getRuleflow()

      Returns the meta object for class '`Ruleflow`'.
      Returns:
        the meta object for class 'Ruleflow'.
      See Also:
        `Ruleflow`

    - #### getRuleflow_VersionLabel

          org.eclipse.emf.ecore.EAttribute getRuleflow_VersionLabel()

      Returns the meta object for the attribute '`Version Label`'.
      Returns:
        the meta object for the attribute 'Version Label'.
      See Also:
        `Ruleflow.getVersionLabel()`, `getRuleflow()`

    - #### getRuleflow_EffectiveDate

          org.eclipse.emf.ecore.EAttribute getRuleflow_EffectiveDate()

      Returns the meta object for the attribute '`Effective Date`'.
      Returns:
        the meta object for the attribute 'Effective Date'.
      See Also:
        `Ruleflow.getEffectiveDate()`, `getRuleflow()`

    - #### getRuleflow_ExpirationDate

          org.eclipse.emf.ecore.EAttribute getRuleflow_ExpirationDate()

      Returns the meta object for the attribute '`Expiration Date`'.
      Returns:
        the meta object for the attribute 'Expiration Date'.
      See Also:
        `Ruleflow.getExpirationDate()`, `getRuleflow()`

    - #### getRuleflow_Description

          org.eclipse.emf.ecore.EAttribute getRuleflow_Description()

      Returns the meta object for the attribute '`Description`'.
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `Ruleflow.getDescription()`, `getRuleflow()`

    - #### getRuleflow_WorkDocumentEntity

          org.eclipse.emf.ecore.EReference getRuleflow_WorkDocumentEntity()

      Returns the meta object for the reference '`Work Document Entity`'.
      Returns:
        the meta object for the reference 'Work Document Entity'.
      See Also:
        `Ruleflow.getWorkDocumentEntity()`, `getRuleflow()`

    - #### getRuleflow_MajorVersion

          org.eclipse.emf.ecore.EAttribute getRuleflow_MajorVersion()

      Returns the meta object for the attribute '`Major Version`'.
      Returns:
        the meta object for the attribute 'Major Version'.
      See Also:
        `Ruleflow.getMajorVersion()`, `getRuleflow()`

    - #### getRuleflow_MinorVersion

          org.eclipse.emf.ecore.EAttribute getRuleflow_MinorVersion()

      Returns the meta object for the attribute '`Minor Version`'.
      Returns:
        the meta object for the attribute 'Minor Version'.
      See Also:
        `Ruleflow.getMinorVersion()`, `getRuleflow()`

    - #### getRuleflow_VocabularyUpdateStamp

          org.eclipse.emf.ecore.EAttribute getRuleflow_VocabularyUpdateStamp()

      Returns the meta object for the attribute '`Vocabulary Update Stamp`'.
      Returns:
        the meta object for the attribute 'Vocabulary Update Stamp'.
      See Also:
        `Ruleflow.getVocabularyUpdateStamp()`, `getRuleflow()`

    - #### getRuleflow_Vocabulary

          org.eclipse.emf.ecore.EReference getRuleflow_Vocabulary()

      Returns the meta object for the reference '`Vocabulary`'.
      Returns:
        the meta object for the reference 'Vocabulary'.
      See Also:
        `Ruleflow.getVocabulary()`, `getRuleflow()`

    - #### getTerminateNode

          org.eclipse.emf.ecore.EClass getTerminateNode()

      Returns the meta object for class '`Terminate Node`'.
      Returns:
        the meta object for class 'Terminate Node'.
      See Also:
        `TerminateNode`

    - #### getFlow

          org.eclipse.emf.ecore.EClass getFlow()

      Returns the meta object for class '`Flow`'.
      Returns:
        the meta object for class 'Flow'.
      See Also:
        `Flow`

    - #### getFlow_Name

          org.eclipse.emf.ecore.EAttribute getFlow_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Flow.getName()`, `getFlow()`

    - #### getFlow_Start

          org.eclipse.emf.ecore.EReference getFlow_Start()

      Returns the meta object for the reference '`Start`'.
      Returns:
        the meta object for the reference 'Start'.
      See Also:
        `Flow.getStart()`, `getFlow()`

    - #### getFlow_FlowControlList

          org.eclipse.emf.ecore.EReference getFlow_FlowControlList()

      Returns the meta object for the containment reference list '`Flow Control List`'.
      Returns:
        the meta object for the containment reference list 'Flow Control List'.
      See Also:
        `Flow.getFlowControlList()`, `getFlow()`

    - #### getFlow_SubflowList

          org.eclipse.emf.ecore.EReference getFlow_SubflowList()

      Returns the meta object for the containment reference list '`Subflow List`'.
      Returns:
        the meta object for the containment reference list 'Subflow List'.
      See Also:
        `Flow.getSubflowList()`, `getFlow()`

    - #### getFlow_ConnectorList

          org.eclipse.emf.ecore.EReference getFlow_ConnectorList()

      Returns the meta object for the containment reference list '`Connector List`'.
      Returns:
        the meta object for the containment reference list 'Connector List'.
      See Also:
        `Flow.getConnectorList()`, `getFlow()`

    - #### getSubflow

          org.eclipse.emf.ecore.EClass getSubflow()

      Returns the meta object for class '`Subflow`'.
      Returns:
        the meta object for class 'Subflow'.
      See Also:
        `Subflow`

    - #### getConnector

          org.eclipse.emf.ecore.EClass getConnector()

      Returns the meta object for class '`Connector`'.
      Returns:
        the meta object for class 'Connector'.
      See Also:
        `Connector`

    - #### getConnector_ClassName

          org.eclipse.emf.ecore.EAttribute getConnector_ClassName()

      Returns the meta object for the attribute '`Class Name`'.
      Returns:
        the meta object for the attribute 'Class Name'.
      See Also:
        `Connector.getClassName()`, `getConnector()`

    - #### getConnector_ServiceName

          org.eclipse.emf.ecore.EAttribute getConnector_ServiceName()

      Returns the meta object for the attribute '`Service Name`'.
      Returns:
        the meta object for the attribute 'Service Name'.
      See Also:
        `Connector.getServiceName()`, `getConnector()`

    - #### getRuleflowFactory

          RuleflowFactory getRuleflowFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.